:root {
	color-scheme: light dark;
	--background-dark: #222;
	--background-light: #fff;
	--color-dark: #fff;
	--color-light: #000;
	--color-contrast: #ff3c00;

	--border-radius: 8px;
	--transition: all .3s ease-in-out;

	--container-width: 600px;
}

* {
	box-sizing: border-box;
}

/* force light mode, if activated by user (via JavaScript) */
html[data-color-scheme="light"] {
	color-scheme: light;
}

/* force dark mode, if activated by user (via JavaScript) */
html[data-color-scheme="dark"] {
	color-scheme: dark;
}

body {
	margin: 0;
	padding: 2em;
	font-family: sans-serif;
	font-size: 1.3;
	line-height: 1.7;
	min-width: 320px;
	background-color: light-dark(var(--background-light), var(--background-dark));
	color: light-dark(var(--color-light), var(--color-dark));
}

main {
	max-width: var(--container-width);
	margin-inline: auto;
}

footer {
	max-width: var(--container-width);
	margin-inline: auto;
	padding-block: 2em;
	text-align: center
}

img {
	max-width: 100%;
}

h1 {
	margin-block-start: 0;
}

p {
	font-size: 20px;
}

.home {
	text-align: center;
}

.qr {
	border: 3px solid var(--background-dark);
	border-radius: var(--border-radius);
	margin-block-end: 2em;
	margin-inline: auto;
	width: 100%;
	max-width: 200px;
}

.r {
	font-style: italic;
	font-weight: bold;
	color: var(--color-contrast);
}

.button {
	all: unset;
	text-decoration: none;
	text-transform: uppercase;
	font-weight: bold;
	display: inline-block;
	padding: .75em 1.5em;
	border: 2px solid var(--color-contrast);
	border-radius: var(--border-radius);
	color: var(--color-contrast);
	transition: var(--transition);
	line-height: 1;

	&:hover,
	&:focus-visible {
		color: light-dark(var(--color-light), var(--color-dark));
		border-color: light-dark(var(--color-light), var(--color-dark));
	}

	& + .button {
		margin-inline-start: .5em;
	}
}